REST reference
Permission Templates
Ta strona jest po angielsku
Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
curl -X GET "https://example.com/permission-templates"[ { "id": "string", "name": "string", "description": "string", "permissions": [ "string" ], "isBuiltIn": true }]POST
/permission-templatesTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/permission-templates" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "permissions": [ "string" ] }'{ "id": "string", "name": "string", "description": "string", "permissions": [ "string" ], "isBuiltIn": true}curl -X DELETE "https://example.com/permission-templates/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
PUT
/permission-templates/{id}Path Parameters
id*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/permission-templates/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "permissions": [ "string" ] }'{ "id": "string", "name": "string", "description": "string", "permissions": [ "string" ], "isBuiltIn": true}